ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Retrieve a credit note

Important
For sites where both legacy and latest product catalog versions are active, GET API requests return responses in a compat format by default. This format works with both latest and legacy Product Catalog.

Override options:

  • chargebee-response-schema-type: items → Return response in latest product catalog format only.
  • chargebee-response-schema-type: plans_addons → Return response in legacy product catalog format only.

Retrieves the Credit Note identified by the specified Credit Note number.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/credit_notes/{credit-note-id}

Input Parameters

line_items_limit
optional, integer, default=100, min=1, max=300

Specify the maximum number of line items to include in the response.

Note:

  • Applicable only when Enterprise-scale Invoicing is enabled.
  • Enterprise-scale Invoicing is currently in Private Beta. Please reach out to Chargebee Support to enable this feature.
line_items_offset
optional, string, max chars=1000

Specify the starting point for retrieving line items. Use the value from the line_items_next_offset attribute of the previous retrieve API response.

Note:

  • Applicable only when Enterprise-scale Invoicing is enabled.
  • Enterprise-scale Invoicing is currently in Private Beta. Please reach out to Chargebee Support to enable this feature.

Returns

credit_noteCredit note object
Resource object representing credit_note